aboutsummaryrefslogtreecommitdiff
path: root/tests/substituter2.builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/substituter2.builder.sh')
-rw-r--r--tests/substituter2.builder.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/substituter2.builder.sh b/tests/substituter2.builder.sh
new file mode 100644
index 000000000..1794500d6
--- /dev/null
+++ b/tests/substituter2.builder.sh
@@ -0,0 +1,22 @@
+# Set a PATH (!!! impure).
+export PATH=/bin:/usr/bin:$PATH
+
+mkdir $out
+
+cat > $out/substituter <<EOF
+#! /bin/sh -ex
+echo \$*
+
+case \$* in
+ *aaaa*)
+ exit 1
+ ;;
+ *)
+ mkdir \$1
+ echo Foo \$3 \$4 > \$1/hello
+ ;;
+esac
+EOF
+
+chmod +x $out/substituter
+